package de.ctdo.crashtest.game;

public interface IStatemachine {
    void addListener(StatemachineListener listener);
    void reset();
    Statemachine.state getCurrentState();
    void setNewState(Statemachine.state newState);
    int getStateChangeCounter();
    void handleInput(char input);
    int getTimerSecondsLeft();
    int getTimerSeconds();
    void startTimer(int seconds);
    void stopTimer();
    void pauseTimer(boolean pause);
}
